Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.exception
Class InvalidTimeStampException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.ehealth.technicalconnector.exception.ConnectorException
                  be.ehealth.technicalconnector.exception.TechnicalConnectorException
                      be.ehealth.technicalconnector.exception.InvalidTimeStampException

All Implemented Interfaces:
  Serializable

    public class InvalidTimeStampException

extends TechnicalConnectorException

thrown when validation of timestamp fails.

See Also:
  Serialized Form

Constructor Summary
`InvalidTimeStampException(String errorMessage)`
`InvalidTimeStampException(String errorMessage, Exception e)` exception indicating that a timestamp is not valid.

Method Summary

Methods inherited from class be.ehealth.technicalconnector.exception.TechnicalConnectorException
`getCategory`

Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidTimeStampException

    public InvalidTimeStampException(String errorMessage,
                                     Exception e)

  exception indicating that a timestamp is not valid.

  Parameters:
    `errorMessage` - exact validation that failed
    `e` - the original validation error

### InvalidTimeStampException

    public InvalidTimeStampException(String errorMessage)

Parameters:
  `string` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.